/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_WATCHER_INCLUDE_SCREEN_CONNECTOR_COMMON_H_
#define SCREEN_CONNECTOR_WATCHER_INCLUDE_SCREEN_CONNECTOR_COMMON_H_

#include <tizen.h>
#include <wayland-client.h>
#include <wayland-tbm-client.h>
#include <wayland-extension/tizen-extension-client-protocol.h>
#include <tizen-remote-surface-client-protocol.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
  SCREEN_CONNECTOR_CHANGED_EVENT_FILTER_NONE =
      TIZEN_REMOTE_SURFACE_CHANGED_BUFFER_EVENT_FILTER_NONE,
  SCREEN_CONNECTOR_CHANGED_EVENT_FILTER_TBM =
      TIZEN_REMOTE_SURFACE_CHANGED_BUFFER_EVENT_FILTER_TBM,
  SCREEN_CONNECTOR_CHANGED_EVENT_FILTER_IMAGE_FILE =
      TIZEN_REMOTE_SURFACE_CHANGED_BUFFER_EVENT_FILTER_IMAGE_FILE,
  SCREEN_CONNECTOR_CHANGED_EVENT_FILTER_ALL =
      TIZEN_REMOTE_SURFACE_CHANGED_BUFFER_EVENT_FILTER_TBM |
      TIZEN_REMOTE_SURFACE_CHANGED_BUFFER_EVENT_FILTER_IMAGE_FILE,
} screen_connector_changed_event_filter_type;

#ifdef __cplusplus
}
#endif

#endif  // SCREEN_CONNECTOR_WATCHER_INCLUDE_SCREEN_CONNECTOR_COMMON_H_
